#include "DialogInput.h"

DialogInput::DialogInput(void)
  : QDialog(0, 0, true)
  {
  setCaption("PostGres Connect");
  message = new QLabel(this);
	message->setGeometry(10, 10, 370, 30);
	message->setText("Base name :");
	edit = new QLineEdit(this);
	edit->setGeometry(10, 40, 370, 30);
	QPushButton* qtarch_PushButton_13;
	qtarch_PushButton_13 = new QPushButton(this);
	qtarch_PushButton_13->setGeometry(280, 90, 100, 30);
	connect( qtarch_PushButton_13, SIGNAL(clicked()), SLOT(ok()) );
	qtarch_PushButton_13->setText( "OK" );
	QPushButton* qtarch_PushButton_14;
	qtarch_PushButton_14 = new QPushButton(this);
	qtarch_PushButton_14->setGeometry(170, 90, 100, 30);
	connect( qtarch_PushButton_14, SIGNAL(clicked()), SLOT(cancel()) );
	qtarch_PushButton_14->setText( "Cancel" );
	resize(400, 130);
	setMinimumSize(400, 130);
	setMaximumSize(400, 130);
  }


void DialogInput::ok(void)
  {
  QString text = edit->text();
  if(text.isEmpty())
    QMessageBox::warning(this, "Error", "Please enter a value");
  else
    done(1);
  }

void DialogInput::cancel(void)
  {
  done(0);
  }

QString DialogInput::getText(void)
  {
  return edit->text();
  }
